#ifndef HUBWIDGET_HH
#define HUBWIDGET_HH

#include <QWidget>


class QHBoxLayout;
class QHeaderView;
class QPushButton;
class QTreeView;
class QVBoxLayout;


class HubWidget : public QWidget
{
	Q_OBJECT

	public:
		explicit HubWidget(QWidget *parent = 0);

	signals:

	public slots:
		void clickSlot();

	private:
		QVBoxLayout *tab2VLayout;
		QHeaderView *headJobList;
		QTreeView *treeJobList;
		QHBoxLayout *tab2HLayout;
		QPushButton *tasR2_0;

		void createLayout();
};

#endif // HUBWIDGET_HH
